# $Revision: 1.33 $, $Date: 2007-10-11 23:20:09 $
Summary:	Native makefiles generator
Summary(pl.UTF-8):	Generator natywnych plików typu Makefile
Name:		bakefile
Version:	0.2.2
Release:	0.1
License:	MIT
Group:		Development/Building
Source0:	http://dl.sourceforge.net/bakefile/bakefile-%{version}.tar.gz
# Source0-md5:	42d5591cecbf628ecc5ee4e5e2ee809c
Patch0:		%{name}-empy.patch
URL:		http://bakefile.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-libxml2
Requires:	empy >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bakefile is cross-platform, cross-compiler native makefiles generator.
It takes compiler-independent description of build tasks as input and
generate native makefile (autoconf's Makefile.in, Visual C++ project,
bcc makefile etc.).

%description -l pl.UTF-8
Bakefile to generator natywnych plików typu Makefile dla wielu
platform i kompilatorów. Przyjmuje na wejściu niezależny od
kompilatora opis zadań budowania  i tworzy natywny plik (Makefile.in
dla autoconfa, projekt dla Visual C++, makefile dla bcc itd.).

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I admin
%{__autoconf}
%{__automake}
%configure

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_bindir}}

%{__make} \
	DESTDIR=$RPM_BUILD_ROOT \
	install

# use system available modules
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/{empy,optik}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README THANKS doc/html
%attr(755,root,root) %{_bindir}/*
%{_aclocaldir}/*.m4
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.py[oc]
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/bakefile.py
%attr(755,root,root) %{_libdir}/%{name}/bakefile_gen.py
%{_mandir}/man1/bakefil*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bakefile.spec,v $
Revision 1.33  2007-10-11 23:20:09  pluto
- updated to 0.2.2, license/group updated.
  release 0.1 due to runtime errors.

Revision 1.32  2007/03/24 18:41:46  kolodko
- add BR: rpm-pythonprov

Revision 1.31  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.29  2006/12/21 07:25:50  qboosh
- updated to 0.2.1 release

Revision 1.28  2006/11/10 14:19:13  jareq
- updated to 0.2.1_pre1

Revision 1.27  2006/02/11 16:03:15  qboosh
- packate bakefilize(1) manual

Revision 1.26  2006/02/11 12:56:11  jareq
- updated to 0.2.0

Revision 1.25  2005/07/13 06:42:53  jareq
- updated to 0.1.9.1
- rel 1

Revision 1.24  2005/03/25 23:10:15  zawadaa
- up to 0.1.8, STBR

Revision 1.23  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.22  2005/02/20 22:49:16  qboosh
- updated to 0.1.7 (set prepend fix)
- fixed changelog entry restoration

Revision 1.21  2005/02/16 08:37:04  wiget
- removed workaround

Revision 1.20  2005/02/07 16:19:42  charles
- restored lost changelog entry (What's going down?)

Revision 1.19  2005/02/07 15:14:12  charles
- updated to 0.1.6

Revision 1.18  2005/01/21 22:48:07  zawadaa
- add BR python-devel

Revision 1.17  2005/01/21 16:15:11  wiget
- updated to 0.1.5
- removed Source1 (bakefile.m4 already in sources)

Revision 1.16  2005/01/12 00:20:43  charles
- added Source1 (bakefile-0.1.4.m4 from bakefile cvs) -
fix warnings of new aclocal

Revision 1.15  2004/12/23 16:30:46  saq
- release 2 for rebuild with python 2.4

Revision 1.14  2004/11/14 12:14:46  troll
- python-optik doesn't exist for a long time

Revision 1.13  2004/11/14 07:24:26  pluto
- build fixed.

Revision 1.12  2004/11/13 19:51:44  darekr
- BR: libtool

Revision 1.11  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/07/22 14:30:12  wiget
- updated to 0.1.4

Revision 1.9  2003/10/28 11:27:18  wiget
- 0.1.1.20031028

Revision 1.8  2003/10/09 14:30:32  qboosh
- pl, BR: ac,am

Revision 1.7  2003/10/09 14:22:24  wiget
- updated to 20031009

Revision 1.6  2003/10/01 20:36:47  wiget
- updated to 0.1.1.20031001

Revision 1.5  2003/09/30 10:35:10  wiget
- updated to 0.1.1.20030930

Revision 1.4  2003/09/22 11:54:03  wiget
- realy added empy.patch

Revision 1.3  2003/09/22 09:32:08  wiget
- added man page

Revision 1.2  2003/09/22 09:29:20  wiget
- updated to 20030922 snapshot

Revision 1.1  2003/09/22 09:23:20  wiget
- new, patched to use system empy
